@class NSObject;
@class RFBProtocolAdaptor;
@class VNCFramebuffer;

@interface VNCDisplayManager : NSObject
{
    RFBProtocolAdaptor *_adaptor;
    NSPort *_dataPort;
    NSException *_threadException;
    NSTimer *_updateTimer;
    VNCFramebuffer *_framebuffer;

    id window;
    id inputView, displayView;
    id statusTextField;
}

extern NSString *VNCDisplayWillTerminateNotification;

- (id)initWithAdaptor:(RFBProtocolAdaptor *)adaptor;

- (RFBProtocolAdaptor *)adaptor;

- (void)requestFullUpdate:(id)sender;

- (void)invalidate;

- (BOOL)performClose;
- (void)close;

- (NSData *)desktopTIFFRepresentation;

@end
